ADD-NODE-COMPONENT(1)

NAME
add-node-component - add-node-component

SYNOPSIS
add-node-component <node-modules-to-add-as-component>

DESCRIPTION
node-modules-to-add-as-component: list of component to add. Version can be specified (example: bson@1.0.0)

OPTIONS

-g, --group: install new component with "group" at the end of debian/watch line (see uscan(1) for more)

-h, --help: print this

-d, --download: download new sources

-i, --install: import downloaded sources (implies -d). Your repo must be git-clean before else `gbp import-orig` will fail

-u, --cme-update: launch a "cme update dpkg-compyright" after import to update debian/copyright

-f, --remove-tag: remove origin tag if exists locally (before import)

-r, --remove-component: remove component instead of adding it (default when del-node-component is used)

--force-npm-reg: force the use of npm registry

--force-github-tags: force the use of GitHub tags

--uscan-option: option(s) to pass to uscan (multi-valued). Default: "-dd --download-version"

--cmp-tree: print a digraph of relation between component (give it to graph-easy)

COPYRIGHT
Copyright © 2019 Xavier Guimard <yadd@debian.org>

Licensed under GPL-2+ (see /usr/share/common-licenses/GPL-2)